'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var SdkError = require('./errors/SdkError.cjs');

function deserializeAccount(rawAccount, dataSerializer) {
  const {
    data,
    address,
    ...rest
  } = rawAccount;
  const [parsedData] = dataSerializer.deserialize(data);
  return {
    address,
    header: rest,
    ...parsedData
  };
}
function assertAccountExists(account, name, solution) {
  if (!account.exists) {
    throw new SdkError.AccountNotFoundError(account.address, name, solution);
  }
}

exports.assertAccountExists = assertAccountExists;
exports.deserializeAccount = deserializeAccount;
//# sourceMappingURL=Account.cjs.map
