'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var SdkError = require('./errors/SdkError.cjs');

const getProgramAddressWithFallback = (context, name, address) => {
  const publicKey = context.eddsa.createPublicKey(address);
  if (!context.programs) return publicKey;
  try {
    return context.programs?.get(name).address;
  } catch (error) {
    return publicKey;
  }
};
class NullProgramRepository {
  get() {
    throw new SdkError.InterfaceImplementationMissingError('ProgramRepositoryInterface', 'programs');
  }
  all() {
    throw new SdkError.InterfaceImplementationMissingError('ProgramRepositoryInterface', 'programs');
  }
  add() {
    throw new SdkError.InterfaceImplementationMissingError('ProgramRepositoryInterface', 'programs');
  }
  resolveError() {
    throw new SdkError.InterfaceImplementationMissingError('ProgramRepositoryInterface', 'programs');
  }
}

exports.NullProgramRepository = NullProgramRepository;
exports.getProgramAddressWithFallback = getProgramAddressWithFallback;
//# sourceMappingURL=ProgramRepositoryInterface.cjs.map
