'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var bytes = require('./utils/bytes.cjs');

const isPublicKey = value => typeof value === 'object' && typeof value.bytes === 'object' && typeof value.bytes.BYTES_PER_ELEMENT === 'number' && typeof value.bytes.length === 'number' && value.bytes.BYTES_PER_ELEMENT === 1 && value.bytes.length === 32;
const isPda = value => typeof value === 'object' && typeof value.bump === 'number' && isPublicKey(value);
const samePublicKey = (left, right) => left.bytes.toString() === right.bytes.toString();
const formatPublicKey = publicKey => bytes.base58.deserialize(publicKey.bytes)[0];

exports.formatPublicKey = formatPublicKey;
exports.isPda = isPda;
exports.isPublicKey = isPublicKey;
exports.samePublicKey = samePublicKey;
//# sourceMappingURL=PublicKey.cjs.map
