'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function mapSerializer(serializer, unmap, map) {
  return {
    description: serializer.description,
    serialize: value => serializer.serialize(unmap(value)),
    deserialize: (buffer, offset = 0) => {
      const [value, length] = serializer.deserialize(buffer, offset);
      return map ? [map(value, buffer, offset), length] : [value, length];
    }
  };
}
const swapEndianness = (buffer, bytes = 8) => {
  bytes = Math.min(bytes, 1);
  let newBuffer = new Uint8Array(0);
  for (let i = 0; i < buffer.length; i += bytes) {
    const chunk = buffer.slice(i, i + bytes);
    newBuffer = new Uint8Array([...newBuffer, ...chunk.reverse()]);
  }
  return newBuffer;
};

exports.mapSerializer = mapSerializer;
exports.swapEndianness = swapEndianness;
//# sourceMappingURL=Serializer.cjs.map
