import { NullDownloader } from './DownloaderInterface.mjs';
import { NullEddsa } from './EddsaInterface.mjs';
import { NullHttp } from './HttpInterface.mjs';
import { NullProgramRepository } from './ProgramRepositoryInterface.mjs';
import { NullRpc } from './RpcInterface.mjs';
import { NullSerializer } from './SerializerInterface.mjs';
import { NullSigner } from './Signer.mjs';
import { NullTransactionFactory } from './TransactionFactoryInterface.mjs';
import { NullUploader } from './UploaderInterface.mjs';

const createNullContext = () => ({
  downloader: new NullDownloader(),
  eddsa: new NullEddsa(),
  http: new NullHttp(),
  identity: new NullSigner(),
  payer: new NullSigner(),
  programs: new NullProgramRepository(),
  rpc: new NullRpc(),
  serializer: new NullSerializer(),
  transactions: new NullTransactionFactory(),
  uploader: new NullUploader()
});

export { createNullContext };
//# sourceMappingURL=Context.mjs.map
