import { InterfaceImplementationMissingError } from './errors/SdkError.mjs';

const getProgramAddressWithFallback = (context, name, address) => {
  const publicKey = context.eddsa.createPublicKey(address);
  if (!context.programs) return publicKey;
  try {
    return context.programs?.get(name).address;
  } catch (error) {
    return publicKey;
  }
};
class NullProgramRepository {
  get() {
    throw new InterfaceImplementationMissingError('ProgramRepositoryInterface', 'programs');
  }
  all() {
    throw new InterfaceImplementationMissingError('ProgramRepositoryInterface', 'programs');
  }
  add() {
    throw new InterfaceImplementationMissingError('ProgramRepositoryInterface', 'programs');
  }
  resolveError() {
    throw new InterfaceImplementationMissingError('ProgramRepositoryInterface', 'programs');
  }
}

export { NullProgramRepository, getProgramAddressWithFallback };
//# sourceMappingURL=ProgramRepositoryInterface.mjs.map
