import { base58 } from './utils/bytes.mjs';

const isPublicKey = value => typeof value === 'object' && typeof value.bytes === 'object' && typeof value.bytes.BYTES_PER_ELEMENT === 'number' && typeof value.bytes.length === 'number' && value.bytes.BYTES_PER_ELEMENT === 1 && value.bytes.length === 32;
const isPda = value => typeof value === 'object' && typeof value.bump === 'number' && isPublicKey(value);
const samePublicKey = (left, right) => left.bytes.toString() === right.bytes.toString();
const formatPublicKey = publicKey => base58.deserialize(publicKey.bytes)[0];

export { formatPublicKey, isPda, isPublicKey, samePublicKey };
//# sourceMappingURL=PublicKey.mjs.map
