import { BigIntInput } from './BigInt';
import { Serializer } from './Serializer';
export type DateTimeString = string;
export type DateTimeInput = DateTimeString | BigIntInput | Date;
export type DateTime = bigint;
export declare const toDateTime: (value: DateTimeInput) => DateTime;
export declare const now: () => DateTime;
export declare const formatDateTime: (value: DateTime, locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions) => string;
export declare const mapDateTimeSerializer: (serializer: Serializer<number> | Serializer<number | bigint, bigint>) => Serializer<DateTimeInput, DateTime>;
