import type { ClusterFilter } from './Cluster';
import type { Context } from './Context';
import { ProgramError } from './errors';
import type { ErrorWithLogs, Program } from './Program';
import type { PublicKey, PublicKeyInput } from './PublicKey';
import { Transaction } from './Transaction';
export interface ProgramRepositoryInterface {
    get<T extends Program = Program>(nameOrAddress: string | PublicKey, clusterFilter?: ClusterFilter): T;
    all(clusterFilter?: ClusterFilter): Program[];
    add(program: Program): void;
    resolveError(error: ErrorWithLogs, transaction: Transaction): ProgramError | null;
}
export declare const getProgramAddressWithFallback: (context: {
    eddsa: Context['eddsa'];
    programs?: Context['programs'];
}, name: string, address: PublicKeyInput) => PublicKey;
export declare class NullProgramRepository implements ProgramRepositoryInterface {
    get<T extends Program = Program>(): T;
    all(): Program[];
    add(): void;
    resolveError(): ProgramError | null;
}
