export type PublicKeyInput = PublicKeyBase58 | PublicKeyBytes | PublicKey;
export type PublicKeyBase58 = string;
export type PublicKeyBytes = Uint8Array;
export type PublicKey = {
    readonly bytes: PublicKeyBytes;
};
export type Pda = PublicKey & {
    readonly bump: number;
};
export declare const isPublicKey: (value: any) => value is PublicKey;
export declare const isPda: (value: any) => value is Pda;
export declare const samePublicKey: (left: PublicKey, right: PublicKey) => boolean;
export declare const formatPublicKey: (publicKey: PublicKey) => string;
